Package weka.associations

# Enum Class NumericItem.Comparison

java.lang.Object
java.lang.Enum<NumericItem.Comparison>
weka.associations.NumericItem.Comparison

All Implemented Interfaces:
  `Serializable`, `Comparable<NumericItem.Comparison>`, `Constable`

Enclosing class:
  NumericItem

public static enum NumericItem.Comparison extends Enum<NumericItem.Comparison>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EQUAL`
  `GREATER_THAN`
  `LESS_THAN_OR_EQUAL_TO`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumericItem.Comparison`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumericItem.Comparison[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final NumericItem.Comparison NONE

  - ### EQUAL

    public static final NumericItem.Comparison EQUAL

  - ### LESS_THAN_OR_EQUAL_TO

    public static final NumericItem.Comparison LESS_THAN_OR_EQUAL_TO

  - ### GREATER_THAN

    public static final NumericItem.Comparison GREATER_THAN

- ## Method Details

  - ### values

    public static NumericItem.Comparison[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NumericItem.Comparison valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null